#include "Truhe.h"
Truhe::Truhe(String name, int relay, uint8_t dhtpin): _dht(dhtpin, DHT22) {
   _name = name;
  _relay = relay;
  _dhtpin = dhtpin;
  
};

void Truhe::setup() {
  Serial.println("Setup " + _name);
  Serial.println(_dhtpin);
  pinMode(_relay, OUTPUT);
  digitalWrite(_relay, HIGH);
  pinMode(_dhtpin, INPUT);
  _dht.begin();
  delay(2000);
}

void Truhe::mess() {
  Serial.println(String(_name) + " mess()");
  //Serial.print("Minimum Sampling Period: "); 
  //delay(_dht.getMinimumSamplingPeriod());
  _cur_temp = _dht.readTemperature();
  Serial.println(String(_name) + "\t\t" + String((int)_cur_temp) + " grad gelesen");
};

void Truhe::schalt(int oT, int uT) {
  Serial.print(String(_name) + " schalt() stat: " + String(_stat));
  if (_cur_temp >= oT && _stat != 1) {
    digitalWrite(_relay, LOW);
    _stat = 1;
    Serial.println("schalt " + _name + " zu " + String(_stat));
  }
  else if (_cur_temp <= uT && _stat != 0) {
    digitalWrite(_relay, HIGH);
    _stat = 0;
    Serial.println("schalt " + _name + " zu " + String(_stat));
  }
}
int Truhe::getUpdLcd(){ return _updlcd;};
void Truhe::setUpdLcd(int updlcd){ _updlcd = updlcd;};
int Truhe::getRelay(){ return _relay;};
int Truhe::getDhtPin(){return _dhtpin;};
int Truhe::getStat(){return _stat;};
float Truhe::getCurTemp(){return _cur_temp;};
String Truhe::getName(){return _name;};
